package com.ic.schedule;

import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.util.TimeZone;

import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;

@Service
public class InvoiceGeneratorScheduler {
	
	@Scheduled(cron = "0 0 0 * * ?")
	public void generateInvoice() {
	  
	    long now = System.currentTimeMillis() / 1000;
	    DateTimeFormatter dtf = DateTimeFormatter.ofPattern("yyyy/MM/dd HH:mm:ss");  
	    LocalDateTime now1 = LocalDateTime.now();  
	    System.out.println(dtf.format(now1));  
	    
	    TimeZone zone = TimeZone.getDefault();
        System.out.println(zone.getDisplayName());
        System.out.println(zone.getID());
//	    System.out.println("schedule tasks using cron jobs - " + now);
	}
	
}